<mat-form-field>
    <input matInput (keyup)="applyFilter($event.target.value)" placeholder="Filter">
</mat-form-field>

<div class="mat-elevation-z8">
    <table mat-table [dataSource]="dataSource" matSort>

        <ng-container matColumnDef="no">
            <th mat-header-cell *matHeaderCellDef mat-sort-header> No </th>
            <td mat-cell *matCellDef="let row"> {{row.no}} </td>
        </ng-container>

        <ng-container matColumnDef="tiket">
            <th mat-header-cell *matHeaderCellDef mat-sort-header> No Registrasi </th>
            <td mat-cell *matCellDef="let row"> {{row.tiket}} </td>
        </ng-container>

        <ng-container matColumnDef="plyn">
            <th mat-header-cell *matHeaderCellDef mat-sort-header> Jenis Pelayanan </th>
            <td mat-cell *matCellDef="let row"> {{row.plyn}} </td>
        </ng-container>

        <ng-container matColumnDef="tanggal">
            <th mat-header-cell *matHeaderCellDef mat-sort-header> Tanggal </th>
            <td mat-cell *matCellDef="let row"> {{row.tanggal}} </td>
        </ng-container>

        <ng-container matColumnDef="pengkajian">
            <th mat-header-cell *matHeaderCellDef mat-sort-header> Pengkajian </th>
            <td mat-cell *matCellDef="let row">
                <button mat-stroked-button (click)="openDialogPengkajian(row.tiket,row.kd_rm,row.plyn,row.rjST)">
                    Lihat
                </button>
                <button mat-stroked-button (click)="openPengkajianPerawat(row)">
                    Lihat new
                </button>
            </td>
        </ng-container>

        <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns;">
        </tr>
    </table>

    <mat-paginator [pageSizeOptions]="[5, 10, 25, 100]" showFirstLastButtons></mat-paginator>
</div>